	SUBROUTINE RDTD_CFT ( indx, mxt, mxd, npts, itrc, dtrace, rmiss,
     +			     trcdat, trcmin, trcmax, iret )
C************************************************************************
C* RDTD_CFT								*
C*									*
C* This subroutine computes the fraction that the count at each point	*
C* on a trace is of the total count along the trace.			*
C*									*
C* RDTD_CFT ( INDX, MXT, MXD, NPTS, ITRC, DTRACE, RMISS,		*
C*	      TRCDAT, TRCMIN, TRCMAX, IRET )				*
C*									*
C* Input parameters:							*
C*	INDX		INTEGER		Calculation selection #:	*
C*					  currently not used		*
C*	MXT		INTEGER		Max # of traces in DTRACE	*
C*	MXD		INTEGER		Max # of values/point in DTRACE	*
C*	NPTS		INTEGER		Number of points in the trace	*
C*	ITRC		INTEGER		Trace #				*
C*	DTRACE (MXT,MXD,						*
C*		NPTS)	REAL*8		Trace values			*
C*	RMISS		REAL		Missing value for output	*
C*									*
C*									*
C* Output parameters:							*
C*	TRCDAT (NPTS)	REAL*8		Output trace			*
C*	TRCMIN		REAL		Minimum output trace value	*
C*	TRCMAX		REAL		Maximum output trace value	*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/HPC		12/02						*
C************************************************************************
	REAL*8		dtrace (mxt,mxd,*), trcdat (*)
C*
	REAL*8		tsum, tn, td
C*-----------------------------------------------------------------------
	iret = 0
	trcmin = 1.1E30
	trcmax = -1.1E30
	tsum = 0.0
	DO ip = 1, npts
	    tn  = dtrace (itrc,1,ip)
	    IF ( tn  .gt. -1.E30 ) THEN
		tsum = tsum + tn
	    END IF
	END DO
	DO ip = 1, npts
	    tn  = dtrace (itrc,1,ip)
	    IF ( tn  .gt. -1.E30 ) THEN
		td = tn / tsum
		IF ( td .lt. trcmin ) trcmin = td
		IF ( td .gt. trcmax ) trcmax = td
		trcdat (ip) = td
	    ELSE
		trcdat (ip) = rmiss
	    END IF
	END DO
C*
	RETURN
	END
