	SUBROUTINE RDTD_ERR ( i, usrmsg, iret )
C************************************************************************
C* RDTD_ERR								*
C*									*
C* This subroutine writes an RDTD error message.			*
C*									*
C* The USRMSG is not printed if it is blank.				*
C*									*
C* RDTD_ERR  ( I, USRMSG, IRET )					*
C*									*
C* Input parameters:							*
C*	I		INTEGER		Value of a return code		*
C*	USRMSG		CHAR*		User reference message		*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		11/97						*
C* K. Brill/EMC		 6/98	Clearnup; changes for multi temp conds	*
C* K. Brill/EMC		 7/98	-39 error for no master trace pt label	*
C* K. Brill/HPC		 2/00	+02 error for all missing points	*
C* K. Brill/HPC		 6/00	+03, -40->-43 errors for PBS_ stat type *
C* K. Brill/HPC		 7/00	-44, -45 errors for PHSE stat type	*
C* K. Brill/HPC		 8/00	More general wording for -30		*
C* K. Brill/HPC		 7/03	-46 error for invalid bias adjustment	*
C************************************************************************
	CHARACTER*(*)	usrmsg
C*
C*------------------------------------------------------------------------
	iret = 0
	IF ( usrmsg .ne. ' ' ) THEN
	    CALL ST_LSTR ( usrmsg, lng, ier )
	    WRITE (6,*) usrmsg (1:lng)
	END IF
	IF ( i .eq. 3 ) WRITE (6,*)
     +		 '+03 = Probability file could not be used.'
	IF ( i .eq. 2 ) WRITE (6,*)
     +		 '+02 = ALL TRACE POINTS ARE MISSING'
	IF ( i .eq. 1 ) WRITE (6,*)
     +		 '+01 = too many general label lines'
	IF ( i .eq. 0 ) WRITE (6,*)
     +		 '  0 = normal return'
	IF ( i .eq. -1 ) WRITE (6,*)
     +		  '-01 = invalid header record'
	IF ( i .eq. -2 ) WRITE (6,*)
     +		  '-02 = too few condition records'
	IF ( i .eq. -3 ) WRITE (6,*)
     +		  '-03 = invalid condition record'
	IF ( i .eq. -4 ) WRITE (6,*)
     +		  '-04 = No EOCF record in trace data file'
	IF ( i .eq. -5 ) WRITE (6,*)
     +		  '-05 = too many traces'
	IF ( i .eq. -6 ) WRITE (6,*)
     +		  '-06 = trace plot types differ for this plot'
	IF ( i .eq. -7 ) WRITE (6,*)
     +		  '-07 = ind var cell count disagreement'
	IF ( i .eq. -8 ) WRITE (6,*)
     +		  '-08 = invalid condition type number'
	IF ( i .eq. -9 ) WRITE (6,*)
     +		  '-09 = more than one pair of dep var conditions'
	IF ( i .eq. -10 ) WRITE (6,*)
     +		  '-10 = too many general conditions'
	IF ( i .eq. -12 ) WRITE (6,*)
     +		  '-12 = too many specific trace conditions'
	IF ( i .eq. -13 ) WRITE (6,*)
     +		  '-13 = too many list elements in temporary trace cond'
	IF ( i .eq. -14 ) WRITE (6,*)
     +		  '-14 = invalid data header record'
	IF ( i .eq. -15 ) WRITE (6,*)
     +		  '-15 = invalid data header integer data'
	IF ( i .eq. -16 ) WRITE (6,*)
     +		  '-16 = error in skipping unneeded trace data'
	IF ( i .eq. -17 ) WRITE (6,*)
     +		  '-17 = premature end of trace data file'
	IF ( i .eq. -18 ) WRITE (6,*)
     +		  '-18 = invalid t axis labels for time series'
	IF ( i .eq. -19 ) WRITE (6,*)
     +		  '-19 = time series starting points > 1 year apart'
	IF ( i .eq. -20 ) WRITE (6,*)
     +		  '-20 = time change along a time series < 0'
	IF ( i .eq. -21 ) WRITE (6,*)
     +		  '-21 = time change along a time series > 1 year'
	IF ( i .eq. -22 ) WRITE (6,*)
     +		  '-22 = traces for plot have different label types'
	IF ( i .eq. -23 ) WRITE (6,*)
     +		  '-23 = label type is already c -- cannot convert'
	IF ( i .eq. -24 ) WRITE (6,*)
     +		  '-24 = real to char label conversion error'
	IF ( i .eq. -25 ) WRITE (6,*)
     +		  '-25 = cannot add more discrete x axis labels'
	IF ( i .eq. -26 ) WRITE (6,*)
     +		  '-26 = label not found for relative position'
	IF ( i .eq. -27 ) WRITE (6,*)
     +		  '-27 = invalid label type for sort'
	IF ( i .eq. -28 ) WRITE (6,*)
     +		  '-28 = not all trace data was found'
	IF ( i .eq. -29 ) WRITE (6,*)
     +		  '-29 = cannot compute stats based on FHO values'
	IF ( i .eq. -30 ) WRITE (6,*)
     +		  '-30 = trace data depth field # is not valid'
	IF ( i .eq. -31 ) WRITE (6,*)
     +		  '-31 = too many points in trace to return to user'
	IF ( i .eq. -32 ) WRITE (6,*)
     +		  '-32 = invalid computational code number'
	IF ( i .eq. -33 ) WRITE (6,*)
     +		  '-33 = invalid field header ID number'
	IF ( i .eq. -34 ) WRITE (6,*)
     +		  '-34 = invalid  number of temp conds in RDTD_SDV'
	IF ( i .eq. -35 ) WRITE (6,*)
     +		  '-35 = there are no trace labels'
	IF ( i .eq. -36 ) WRITE (6,*)
     +		  '-36 = insufficient data depth for stats'
	IF ( i .eq. -37 ) WRITE (6,*)
     +		  '-37 = invalid trace number in RDTD_TLB'
	IF ( i .eq. -38 ) WRITE (6,*)
     +		  '-38 = too many fill-in points required.'
	IF ( i .eq. -39 ) WRITE (6,*)
     +		  '-39 = master trace point label not found'
	IF ( i .eq. -40 ) WRITE (6,*)
     +		  '-40 = invalid PBS_ statistic type'
	IF ( i .eq. -41 ) WRITE (6,*)
     +		  '-41 = too many PBS_ probability categories'
	IF ( i .eq. -42 ) WRITE (6,*)
     +		  '-42 = Panofsky-Brier score computation failed'
	IF ( i .eq. -43 ) WRITE (6,*)
     +		  '-43 = Invalid forecast risk category'
	IF ( i .eq. -44 ) WRITE (6,*)
     +		  '-44 = # of trace pnts does not match DTRACE'
	IF ( i .eq. -45 ) WRITE (6,*)
     +		  '-45 = no trace weight values were found'
	IF ( i .eq. -46 ) WRITE (6,*)
     +		  '-46 = bias adjustment not valid for this trace'
	RETURN
	END
