	SUBROUTINE RDTD_SDV ( iret )
C************************************************************************
C* RDTD_SDV								*
C*									*
C* This subroutine stores dependent variable conditions held in TMPCON	*
C* into either the general condition or the trace specific condition	*
C* storage arrays.							*
C*									*
C* If KGSAME is true and there is more than one condition, then the	*
C* first condition is stored as a general condition.  Otherwise, the	*
C* conditions stored in TMPCON are stored as trace specific conditions.	*
C*									*
C* RDTD_SDV ( IRET )							*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					-10 = too many gen trace conds	*
C*					-12 = too many spec trace conds	*
C*					-34 = invalid # of temp conds	*
C**									*
C* Log:									*
C* K. Brill/EMC		 6/98						*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
C*------------------------------------------------------------------------
	iret = 0
	IF ( ntmpcn .le. 0 ) THEN
	    iret = -34
	    RETURN
	END IF
C*
	IF ( .not. kgsame .or. ntmpcn .eq. 1 ) THEN
C
C*	    Store as specific conditions for all traces. 
C
	    DO itrc = 1, ntmpcn
		n = ntrcnd (itrc) + 1
		IF ( n .gt. MXDVCN ) THEN
		    iret = -12
		    RETURN
		END IF
		ntrcnd (itrc) = n
		ktctyp (itrc,n) = kgctyp (itrc)
		ktcfld (itrc,n) = kgcfld (itrc)
		DO j = 1, ntmpls (itrc)
		    ctcnd1 (itrc,n,j) = kgcnd1 (itrc,j)
		END DO
		ctcnd2 (itrc,n) = kgcnd2 (itrc)
		ntrcls (itrc,n) = ntmpls (itrc)
	    END DO
C*
	ELSE
C
C*	    Store as general condition.
C
	    ngncnd = ngncnd + 1
	    IF ( ngncnd .gt. MXDVCN ) THEN
		iret = -10
		RETURN
	    END IF
	    ngctyp (ngncnd) = kgctyp (1)
	    ngcfld (ngncnd) = kgcfld (1)
	    DO j = 1, ntmpls (1)
		cgcnd1 (ngncnd,j) = kgcnd1 (1,j)
	    END DO
	    cgcnd2 (ngncnd) = kgcnd2 (1)
	    ngenls (ngncnd) = ntmpls (1)
C*
	END IF
C*
	RETURN
	END
