	SUBROUTINE RDTD_TDF  ( idtar1, idtar2, nmin, iret )
C************************************************************************
C* RDTD_TDF								*
C*									*
C* This subroutine computes the time difference in minutes between 	*
C* two integer times.  The time difference is time1 - time2 and		*
C* may be computed for multiple years.					*
C*									*
C* RDTD_TDF  ( IDTAR1, IDTAR2, NMIN, IRET )				*
C*									*
C* Input parameters:							*
C*	IDTAR1 (5)	INTEGER		Time array 1 (YYYY,MM,DD,HH,MM)	*
C*	IDTAR2 (5)	INTEGER		Time array 2 (YYYY,MM,DD,HH,MM)	*
C*									*
C* Output parameters:							*
C*	NMIN		INTEGER		Difference in minutes		*
C*	IRET		INTEGER		Return code			*
C*					  0 = normal return		*
C*				  	-12 = invalid time range	*
C**									*
C* Log:									*
C* K. Brill		 1/99						*
C************************************************************************
	INTEGER		idtar1 (5), idtar2 (5)
C*
	INTEGER		idtp (5), idtm (5)
C------------------------------------------------------------------------
	CALL TI_MDIF ( idtar1, idtar2, nmin, iret )
	IF ( iret .eq. 0 ) RETURN
	nmin = 0
	iy1 = idtar1 (1)
	iy2 = idtar2 (1)
	iydf = iy1 - iy2
	IF ( iydf .lt. 0 ) THEN
	    iyinc = -1
	ELSE
	    iyinc = 1
	END IF
	DO i = 1, 5
	    idtp (i) = idtar2 (i)
	    idtm (i) = idtar2 (i)
	END DO
	idtp (1) = idtp (1) + iyinc
	CALL TI_MDIF ( idtp, idtar2, nmin, ier2 )
	istop = ABS ( iydf )
	icnt = 0
	DO WHILE ( iret .ne. 0 .and. icnt .lt. istop )
	    icnt = icnt + 1
	    CALL TI_MDIF ( idtar1, idtp, nadd, iret )
	    IF ( iret .eq. 0 ) THEN
		nmin = nmin + nadd
	    ELSE
		idtm (1) = idtm (1) + iyinc
		idtp (1) = idtp (1) + iyinc
		CALL TI_MDIF ( idtp, idtm, nadd, ierr )
		IF ( ierr .eq. 0 ) THEN
		    nmin = nmin + nadd
		ELSE
		    iret = -12
		    RETURN
		END IF
	    END IF
	END DO
C*
	RETURN
	END
