	SUBROUTINE RDTD_TLB ( itrc, mxlns, nlns, trclbl, nchrs, cfld,
     +			      nfld, stat, parm, iret )
C************************************************************************
C* RDTD_TLB								*
C*									*
C* This subroutine returns specific label strings for a trace.		*
C*									*
C* The statistic type identifier is blank unless this is a multi-trace	*
C* plot with different statistic type identifiers in one or more of the	*
C* other traces.  Otherwise, the statistic type identifier is found by	*
C* calling RDTD_GLB.							*
C*									*
C* RDTD_TLB ( ITRC, MXLNS, NLNS, TRCLBL, NCHRS, CFLD, NFLD,		*
C*	      STAT, PARM, IRET )					*
C*									*
C* Input parameters:							*
C*	ITRC		INTEGER		Trace number			*
C*	MXLNS		CHAR*		Maximum # of strings in TRCLBL	*
C*									*
C* Output parameters:							*
C*	NLNS		INTEGER		Number of strings in TRCLBL	*
C*	TRCLBL (NLNS)	CHAR*		General label string array	*
C*	NCHRS (NLNS)	INTEGER		# of characters in each string 	*
C*	CFLD (NLNS)	CHAR*5		Header/data field name		*
C*	NFLD (NLNS)	INTEGER		Number of the header field	*
C*	STAT		CHAR*		Statistic type identifier	*
C*	PARM		CHAR*		Parameter name			*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					 +1 = too many label lines	*
C*					-33 = invalid header fld number *
C*					-35 = no trace labels		*
C*					-37 = invalid trace number	*
C**									*
C* Log:									*
C* K. Brill/EMC		11/97						*
C* K. Brill/EMC		 1/98	Add NFLD, STAT, PARM output		*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
	CHARACTER*(*)	trclbl (*), cfld (*), stat, parm
	INTEGER		nchrs (*), nfld (*)
C*
	CHARACTER*4	tmp
C*------------------------------------------------------------------------
	iret = 0
	nlns = 0
	stat = ' '
	parm = ' '
	IF ( itrc .gt. ntrace .or. itrc .lt. 1 ) THEN
	    iret = -37
	    RETURN
	END IF
	IF ( ntrcnd (itrc) .eq. 0 ) THEN
	    iret = -35
	    RETURN
	END IF
C
C*	Get the statistic type identifier and parameter name.
C
	IF ( ntrace .gt. 1 ) THEN
	    stat = statnm (1)
	    icnt = 1
	    DO it = 2, ntrace
		IF ( stat .eq. statnm (it) ) icnt = icnt + 1
	    END DO
	    IF ( icnt .eq. ntrace ) THEN
		stat = ' '
	    ELSE
		stat = statnm (itrc)
	    END IF
	END IF
	parm = parmnm (itrc)
C*
	DO i = 1, ntrcnd (itrc)
	    IF ( i .gt. mxlns ) THEN
		iret = 1
		RETURN
	    END IF
	    nlns = nlns + 1
	    k = ktcfld (itrc,i)
	    nfld (nlns) = k
	    IF ( k .gt. 100 ) THEN
		k = k - 100 + MXHDRS
		IF ( k .le. MXPLBL ) THEN
		    cfld (nlns) = prmlbl (k)
		ELSE
		    CALL ST_INCH ( k, tmp, ier )
		    cfld (nlns) = 'DV_' // tmp
		END IF
	    ELSE
		IF ( k .gt. MXPLBL ) THEN
		    iret = -33
		    RETURN
		ELSE
		    cfld (nlns) = prmlbl (k)
		END IF
	    END IF
	    IF ( ntrcls (itrc,i) .gt. 1 ) THEN
		trclbl (nlns) = ctcnd1 (itrc,i,1)
		DO j = 2, ntrcls (itrc,i)
		    CALL ST_LSTR ( trclbl (nlns), lng, ier )
		    trclbl (nlns) = trclbl (nlns) (1:lng) // '+' //
     +				 ctcnd1 (itrc,i,j)
		END DO
	    ELSE IF ( ctcnd2 (itrc,i) .ne. ' ' ) THEN
		trclbl (nlns) = ctcnd1 (itrc,i,1)
		CALL ST_LSTR ( trclbl (nlns), lng, ier )
		trclbl (nlns) = trclbl (nlns) (1:lng) // '-' //
     +			     ctcnd2 (itrc,i)
	    ELSE
		trclbl (nlns) = ctcnd1 (itrc,i,1)
	    END IF
	    CALL ST_LSTR ( trclbl (nlns), nchrs (nlns), ier )
	END DO
C*
	RETURN
	END
