	SUBROUTINE RDTD_TTM ( crlbl, nt, iret )
C************************************************************************
C* RDTD_TTM								*
C*									*
C* This subroutine computes the minute values of all the points on a	*
C* time trace.  The information is stored in KMNUTS in the TRACES	*
C* data structure.							*
C*									*
C* RDTD_TTM ( CRLBL, NT, IRET )						*
C*									*
C* Input parameters:							*
C*	CRLBL		CHAR*1		Trace label type		*
C*					  c = character			*
C*					  r = real			*
C*	NT		INTEGER		Trace index number		*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					-18 = invalid label type	*
C*					-19 = start times > 1 yr apart	*
C*					-20 = dt along series < 0	*
C*					-21 = dt along series > 1 year	*
C**									*
C* Log:									*
C* K. Brill/EMC		10/97						*
C************************************************************************
	INCLUDE		'rdtd.cmn'
	CHARACTER*1	crlbl
C*
	INTEGER		itime1 (5)
C*------------------------------------------------------------------------
	iret = 0
	IF ( crlbl .ne. 'c' ) THEN
	    iret = -18
	    RETURN
	END IF
C
C*	Convert the first time in XCLBLS to an INT-5 time.
C
	READ ( xclbls (nt,1), '(I4,4I2)' ) ( itime1 (ix), ix = 1, 5 )
C
C*	If this is the first trace, set the starting time.
C
	IF ( ktstrt (1) .eq. 0 ) THEN
	    DO i = 1, 5
		ktstrt (i) = itime1 (i)
	    END DO
	ELSE
C
C*	    Compute difference between this time and KTSTRT.
C
	    CALL RDTD_TDF ( itime1, ktstrt, mindif, ier )
	    IF ( ier .ne. 0 ) THEN
		iret = -19
		RETURN
	    END IF
	    IF ( mindif .lt. 0 ) THEN
C
C*		Reset KTSTRT and all minute values.
C
		DO i = 1, 5
		    ktstrt (i) = itime1 (i)
		END DO
		DO it = 1, nt-1
		    DO ip = 1, ntrpts (it)
			kmnuts (it,ip) = kmnuts (it,ip) - mindif
		    END DO
		END DO
	    END IF
	END IF
C
C*	Compute the minute values at all points on current trace.
C
	DO ip = 1, ntrpts (nt)
	    READ ( xclbls (nt,ip), '(I4,4I2)' )
     +		 ( itime1 (ix), ix = 1, 5 )
	    CALL RDTD_TDF ( itime1, ktstrt, mindif, ier )
	    IF ( ier .ne. 0 ) THEN
		iret = -21
		RETURN
	    END IF
	    IF ( mindif .lt. 0 ) THEN
		iret = -20
		RETURN
	    END IF
	    kmnuts (nt,ip) = mindif
	END DO
C*
	RETURN
	END
