	PROGRAM TSTRDTD
C************************************************************************
C*  Prgram to test RDTD routines.					*
C*									*
C** Log:								*
C* K. Brill/EMC		 1/98	Added PRMNAM				*
C* K. Brill/HPC		01/00	FORMAT X to 1X for Linux		*
C************************************************************************
	PARAMETER	( MXLNS = 12, NPTMX = 512 )
	CHARACTER*128	filnam
	CHARACTER*64	genlbl (MXLNS), trclbl (MXLNS), xlbl
	CHARACTER*24	clbl (NPTMX)
	CHARACTER*16	stat, parm
	CHARACTER*32	prmnam
	CHARACTER*1	cltyp
	INTEGER		nchrsg (MXLNS), numfld (MXLNS)
	CHARACTER*5	gfldnm (MXLNS)
	INTEGER		nchrst (MXLNS)
	CHARACTER*5	tfldnm (MXLNS)
	REAL		rlbl (NPTMX), xpts (NPTMX)
	REAL*8		trace (NPTMX)
	LOGICAL		done
C------------------------------------------------------------------------
	luntd = 11
	WRITE (6,*) ' Enter the name of the trace data file:'
	READ (5,'(A)') filnam
	OPEN ( UNIT=luntd, FILE=filnam, STATUS='OLD', IOSTAT=ios )
	IF ( ios .ne. 0 ) THEN
	    WRITE (6,*) ' Cannot open ', filnam
	    STOP
	END IF
C*
	done = .false.
	nplts = 0
	DO WHILE ( .not. done )
	    WRITE (6,*) ' By number select the routine to test:'
	    WRITE (6,*)
	    WRITE (6,*) ' 1 - RDTD_INI   2 - RDTD_FND   3 - RDTD_GLB'
	    WRITE (6,*) ' 4 - RDTD_TLB   5 - RDTD_TRC   6 - RDTD_DMP'
	    WRITE (6,*) ' 7 - RDTD_XLB'
	    WRITE (6,*) ' '
	    WRITE (6,*) ' Enter selection or 0 to exit'
	    READ (5,*) input
	    IF ( input .eq. 0 ) done = .true.
	    IF ( input .eq. 1 ) THEN
		CALL RDTD_INI ( luntd, nplts, iret )
		CALL RDTD_ERR ( iret, 'RDTD_INI', ier )
		WRITE (6,*) ' There are ', nplts, ' plots available.'
	    ENDIF
	    IF ( input .eq. 2 ) THEN
		WRITE (6,*) ' Enter the plot number ( 1 - ', nplts,
     +			    ' ) '
		READ (5,*) iplt
		CALL RDTD_FND ( luntd, iplt, .true., ntrcs, itype, iret )
		CALL RDTD_ERR ( iret, ' ', ier )
		WRITE (6,*) ' '
		WRITE (6,*) ' Number of traces = ', ntrcs
		WRITE (6,*) ' Type of plot = ', itype
	    END IF
	    IF ( input .eq. 3 ) THEN
		CALL RDTD_GLB ( MXLNS, nlns, genlbl, nchrsg,
     +				gfldnm, numfld, stat, iret )
		CALL RDTD_ERR ( iret, 'RDTD_GLB', ier )
		IF ( iret .ge. 0 .and. nlns .eq. 0 ) THEN
		    WRITE (6,*) ' There are no general labels.'
		    WRITE (6,*) ' '
		    WRITE (6,*) ' STAT = ', stat
		    WRITE (6,*) ' '
		ELSE IF ( iret .ge. 0 ) THEN
		    WRITE (6,*) ' '
		    WRITE (6,*) ' STAT = ', stat
		    WRITE (6,*) ' '
		    WRITE (6,1001)
1001		    FORMAT ('               GENERAL LABELS',/,
     +			    '  #  FLD NAM FLD #   NCHARS      LABEL' )
		    DO i = 1, nlns
			WRITE (6,1002) i, gfldnm (i), numfld (i),
     +					nchrsg (i), genlbl (i)
1002			FORMAT (I3,3X,A5,3X,I4,4X,I4,4X,A)
		    END DO
		END IF
	    END IF
	    IF ( input .eq. 4 ) THEN
		WRITE (6,*) ' Enter the trace number for labels.'
		READ (5,*) itrc
		CALL RDTD_TLB ( itrc, MXLNS, nlns, trclbl, nchrst,
     +				tfldnm, numfld, stat, parm, iret )
		CALL RDTD_ERR ( iret, 'RDTD_TLB', ier )
		IF ( iret .ge. 0 .and. nlns .eq. 0 ) THEN
		    WRITE (6,*) ' There are no specific labels.'
		    WRITE (6,*) ' '
		    WRITE (6,*) ' PARM = ', parm
		    WRITE (6,*) ' STAT = ', stat
		    WRITE (6,*) ' '
		ELSE IF ( iret .ge. 0 ) THEN
		    WRITE (6,*) ' '
		    WRITE (6,*) ' PARM = ', parm
		    WRITE (6,*) ' STAT = ', stat
		    WRITE (6,*) ' '
		    WRITE (6,1101)
1101		    FORMAT ('                TRACE LABELS',/,
     +			    '  #  FLD NAM FLD #   NCHARS      LABEL' )
		    DO i = 1, nlns
			WRITE (6,1002) i, tfldnm (i), numfld (i),
     +					nchrst (i), trclbl (i)
		    END DO
		END IF
	    END IF
	    IF ( input .eq. 5 ) THEN
		WRITE (6,*) ' Enter # of trace (1 - ', ntrcs, ' )'
		READ (5,*) itrc
		WRITE (6,*) ' Enter computational code: '
		READ (5,*) icomp
		WRITE (6,*) ' RMISS is -9999.'
		rmiss = -9999.
		npts = NPTMX
		CALL RDTD_TRC ( itrc, icomp, rmiss, npts, xpts,
     +				trace, xmin, xmax, trcmin, trcmax,
     +				clbl, rlbl, cltyp, iptyp,
     +				prmnam, iret )
		CALL RDTD_ERR ( iret, 'RDTD_TRC', ier )
		IF ( iret .eq. 0 ) THEN
		    WRITE (6,*) ' '
		    WRITE (6,*) 'IPTYPE = ', iptyp, ' LBLTYP = ',
     +				cltyp
		    IF ( icomp .ne. 0 ) THEN
			WRITE (6,1003) xmin, xmax, trcmin, trcmax
1003			FORMAT ( '   XMIN = ', 1PE13.5, 2X,
     +				 '   XMAX = ', E13.5,/,
     +				 ' TRCMIN = ', E13.5, 2X,
     +				 ' TRCMAX = ', E13.5 )
			WRITE (6,*) ' PRMNAM = ', prmnam
			WRITE (6,*) ' '
			WRITE (6,*) ' Enter range of points to',
     +				    ' print out ( 1 - ', npts, ' )'
			READ (5,*) istrt, iend
			IF ( iend .ge. istrt .and. istrt .gt. 0 ) THEN
			    WRITE (6,1004)
1004			    FORMAT (' POINT  X POSITION   TRACE',
     +				    ' VALUE    REAL LABEL', 9X,
     +				    ' CHAR LABEL' )
			    DO i = istrt, iend
				WRITE (6,1005) i, xpts (i),
     +						trace (i), rlbl (i),
     +						clbl (i)
1005				FORMAT (1X,I5,2X,F10.4,2X,1PD13.5,2X,
     +					E13.5,2X,A)
			    END DO
			END IF
		    END IF
		END IF
	    END IF
	    IF ( input .eq. 6 ) THEN
		CALL RDTD_DMP ( iret )
	    END IF
	    IF ( input .eq. 7 ) THEN
		CALL RDTD_XLB ( xlbl, nchrs, ncdpt, ncnds, iret )
		CALL RDTD_ERR ( iret, 'RDTD_XLB', ier )
		WRITE (6,*) ' # of conditionally determined pts = ',
     +			     ncdpt
		WRITE (6,*) ' # of independent variable conditions = ',
     +			     ncnds
		IF ( nchrs .gt. 0 ) THEN
		    WRITE (6,*) ' X axis label string = '
		    WRITE (6,*) ' ', xlbl (1:nchrs)
		ELSE
		    WRITE (6,*) ' No X axis label string.'
		END IF
	    END IF
	END DO
	STOP
	END
